%define upstream_name    Net-OpenSSH
%define upstream_version 0.84

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl SSH client package implemented on top of OpenSSH
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: openssh-clients
Requires:   openssh-clients
BuildArch:  noarch

# Needed to stop the sample scripts pulling in more perl packages.
%{?perl_default_filter}

%description
Net::OpenSSH is a secure shell client package implemented on top of OpenSSH
binary client ('ssh').

This package is implemented around the multiplexing feature found in
later versions of OpenSSH. That feature allows reuse of a previous SSH
connection for running new commands (I believe that OpenSSH 4.1 is the
first one to provide all the required functionality).

When a new Net::OpenSSH object is created, the OpenSSH 'ssh' client is
run in master mode, establishing a permanent (actually, for the
lifetime of the object) connection to the server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.840.0-2.mga10
+ Revision: 2218642
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 0.840.0-1.mga10
+ Revision: 1980998
- update to 0.84

* Fri Feb 03 2023 tv <tv> 0.830.0-1.mga9
+ Revision: 1937850
- update to 0.83

* Tue Mar 29 2022 umeabot <umeabot> 0.820.0-2.mga9
+ Revision: 1832946
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 tv <tv> 0.820.0-1.mga9
+ Revision: 1789686
- update to 0.82

* Tue Sep 29 2020 tv <tv> 0.800.0-1.mga8
+ Revision: 1631018
- update to 0.80

* Fri May 01 2020 tv <tv> 0.790.0-1.mga8
+ Revision: 1577325
- update to 0.79

* Wed Feb 12 2020 umeabot <umeabot> 0.780.0-3.mga8
+ Revision: 1505582
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.780.0-2.mga7
+ Revision: 1285135
- Mageia 7 Mass Rebuild

* Thu May 10 2018 shlomif <shlomif> 0.780.0-1.mga7
+ Revision: 1228161
- update to 0.78

* Sun Feb 25 2018 shlomif <shlomif> 0.770.0-1.mga7
+ Revision: 1205000
- update to 0.77

* Tue Oct 03 2017 tv <tv> 0.740.0-2.mga7
+ Revision: 1165888
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.740.0-1.mga7
+ Revision: 1157200
- new version 0.74

* Sun Jun 19 2016 pterjan <pterjan> 0.700.0-2.mga6
+ Revision: 1031238
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.700.0-1.mga6
+ Revision: 953172
- update to 0.70

* Mon Jan 04 2016 shlomif <shlomif> 0.680.0-1.mga6
+ Revision: 919641
- update to 0.68

* Wed Oct 14 2015 sander85 <sander85> 0.660.0-1.mga6
+ Revision: 891478
- update to 0.66

* Tue Jun 30 2015 shlomif <shlomif> 0.640.0-1.mga6
+ Revision: 848358
- update to 0.64

* Sun Oct 19 2014 umeabot <umeabot> 0.620.0-5.mga5
+ Revision: 789520
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-4.mga5
+ Revision: 742278
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.620.0-3.mga5
+ Revision: 732423
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.620.0-2.mga5
+ Revision: 685699
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 636188
- update to 0.62

* Sat Oct 19 2013 umeabot <umeabot> 0.600.0-2.mga4
+ Revision: 525138
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.600.0-1.mga4
+ Revision: 432389
- update to 0.60

* Sun Jan 13 2013 umeabot <umeabot> 0.570.0-2.mga3
+ Revision: 370771
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 kharec <kharec> 0.570.0-1.mga2
+ Revision: 211702
- update to 0.57

* Wed Dec 07 2011 kharec <kharec> 0.550.0-1.mga2
+ Revision: 178116
- update to 0.55

* Sun Dec 04 2011 kharec <kharec> 0.540.0-1.mga2
+ Revision: 176241
- update to 0.54
+ jquelin <jquelin>
- imported package perl-Net-OpenSSH


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.500.0-2mdv2011.0
+ Revision: 624998
- Changed the summary and revamped the description
- import perl-Net-OpenSSH

